%define upstream_name MasonX-Request-WithApacheSession
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	MasonX::Request::WithApacheSession - Add a session to the Mason Request object
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MasonX/%{upstream_name}-%{upstream_version}.tar.bz2 

BuildRequires:	perl(Apache::Session::Wrapper)
BuildRequires:  perl(Module::Build)
BuildArch:	noarch


%description
This module integrates "Apache::Session" into Mason by adding
methods to the Mason Request object available in all Mason
components. Any subrequests created by a request share the same
session.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%{__make}

#%%check
#%__make test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README SIGNATURE
%{perl_vendorlib}/MasonX/Request/WithApacheSession.pm
%{perl_vendorlib}/MasonX/Request/WithMultiSession.pm
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.310.0-10.mga9
+ Revision: 1804360
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-9.mga8
+ Revision: 1495552
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-8.mga7
+ Revision: 1269222
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-7.mga6
+ Revision: 1029530
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.310.0-6.mga6
+ Revision: 947593
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 744265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 685340
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 512861
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 369511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 37089
- mageia rebuild
- imported package perl-MasonX-Request-WithApacheSession


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2010.0
+ Revision: 403849
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.31-2mdv2009.0
+ Revision: 268590
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.0
+ Revision: 202325
- update to new version 0.31

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-3mdk
- Add BuildRequires

* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-2mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.30-1mdk
- initial Mandriva package

